Chromium Code Reviews
Help | Chromium Project | Sign in
(22)

Issue 14924002: WebUI for Profile Settings Reset (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by battre
Modified:
2 years ago
CC:
chromium-reviews, dbeam+watch-options_chromium.org, arv+watch_chromium.org, vasilii (OOO til 26.05), Evan Stade, James Hawkins
Visibility:
Public.

Description

WebUI for Profile Settings Reset This CL implements chrome://settings/profileSettingsReset, a feature to reset profile settings that malware often modifies. BUG=235037 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=202064

Patch Set 1 #

Patch Set 2 : Nits #

Patch Set 3 : Fix browser test #

Total comments: 6

Patch Set 4 : Merged with ToT #

Patch Set 5 : Addressed vasilii's comments and fixed a merge error #

Total comments: 20

Patch Set 6 : Merged with ToT #

Patch Set 7 : Addressed comments #

Total comments: 28

Patch Set 8 : Merged with ToT #

Patch Set 9 : Addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+555 lines, -0 lines) Patch
M chrome/app/generated_resources.grd View 2 chunks +47 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/browser/profile_resetter/profile_resetter.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/profile_resetter/profile_resetter.cc View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/browser_options.html View 1 2 3 4 5 6 7 8 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/browser_options.js View 1 2 3 4 5 6 7 8 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/options.html View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/options.js View 1 2 3 4 5 6 7 8 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/options_bundle.js View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
A chrome/browser/resources/options/reset_profile_settings_overlay.css View 1 2 3 4 5 6 7 8 1 chunk +18 lines, -0 lines 0 comments Download
A chrome/browser/resources/options/reset_profile_settings_overlay.html View 1 2 3 4 5 6 1 chunk +69 lines, -0 lines 0 comments Download
A chrome/browser/resources/options/reset_profile_settings_overlay.js View 1 2 3 4 5 6 7 8 1 chunk +112 lines, -0 lines 0 comments Download
M chrome/browser/ui/browser_ui_prefs.cc View 1 2 3 4 1 chunk +25 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/browser_options_handler.cc View 1 2 3 4 5 6 7 8 2 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/options_ui.cc View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/options/profile_settings_reset_browsertest.js View 1 2 3 4 5 6 7 8 1 chunk +25 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/options/reset_profile_settings_handler.h View 1 2 3 4 5 6 7 8 1 chunk +51 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/options/reset_profile_settings_handler.cc View 1 2 3 4 5 6 7 8 1 chunk +133 lines, -0 lines 0 comments Download
M chrome/chrome_browser_ui.gypi View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 6 7 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 3 4 5 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 3 4 5 1 chunk +12 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 24 (0 generated)
battre
Hi Evan, may I ask you you review this CL? I'll share the design document ...
2 years ago (2013-05-03 17:54:13 UTC) #1
battre
CC: vasilii FYI
2 years ago (2013-05-06 08:08:54 UTC) #2
Evan Stade
sorry this CL fell off my radar. I've been focusing on preparing for i/o. Is ...
2 years ago (2013-05-09 04:40:13 UTC) #3
battre
Hi James, could you please review this CL? Thanks, Dominic
2 years ago (2013-05-09 08:54:49 UTC) #4
battre
Hi Dan, passing this on to you. Could you please review the CL? Thanks, Dominic
2 years ago (2013-05-09 19:11:55 UTC) #5
vasilii (OOO til 26.05)
https://codereview.chromium.org/14924002/diff/9001/chrome/browser/ui/webui/options/browser_options_handler.cc File chrome/browser/ui/webui/options/browser_options_handler.cc (right): https://codereview.chromium.org/14924002/diff/9001/chrome/browser/ui/webui/options/browser_options_handler.cc#newcode506 chrome/browser/ui/webui/options/browser_options_handler.cc:506: values->SetBoolean("enableProfileSection", Maybe enableResetProfileSection is a better name? https://codereview.chromium.org/14924002/diff/9001/chrome/browser/ui/webui/options/reset_profile_settings_handler.cc File ...
2 years ago (2013-05-13 09:13:06 UTC) #6
battre
Thanks. https://codereview.chromium.org/14924002/diff/9001/chrome/browser/ui/webui/options/browser_options_handler.cc File chrome/browser/ui/webui/options/browser_options_handler.cc (right): https://codereview.chromium.org/14924002/diff/9001/chrome/browser/ui/webui/options/browser_options_handler.cc#newcode506 chrome/browser/ui/webui/options/browser_options_handler.cc:506: values->SetBoolean("enableProfileSection", On 2013/05/13 09:13:06, vasilii wrote: > Maybe ...
2 years ago (2013-05-13 15:54:06 UTC) #7
James Hawkins
https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html File chrome/browser/resources/options/browser_options.html (right): https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html#newcode731 chrome/browser/resources/options/browser_options.html:731: <button id="reset-profile-settings-button" nit: Don't append the element name to ...
2 years ago (2013-05-13 17:31:32 UTC) #8
battre
Thank you. PTAL. Best regards, Dominic https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html File chrome/browser/resources/options/browser_options.html (right): https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html#newcode731 chrome/browser/resources/options/browser_options.html:731: <button id="reset-profile-settings-button" On ...
2 years ago (2013-05-21 09:25:08 UTC) #9
battre
+sky for OWNERS approval of chrome/browser/ui/browser_ui_prefs.cc
2 years ago (2013-05-21 09:25:33 UTC) #10
sky
https://codereview.chromium.org/14924002/diff/37001/chrome/browser/ui/browser_ui_prefs.cc File chrome/browser/ui/browser_ui_prefs.cc (right): https://codereview.chromium.org/14924002/diff/37001/chrome/browser/ui/browser_ui_prefs.cc#newcode223 chrome/browser/ui/browser_ui_prefs.cc:223: user_prefs::PrefRegistrySyncable::SYNCABLE_PREF); I haven't been involved with this feature, so ...
2 years ago (2013-05-21 15:08:29 UTC) #11
battre
https://codereview.chromium.org/14924002/diff/37001/chrome/browser/ui/browser_ui_prefs.cc File chrome/browser/ui/browser_ui_prefs.cc (right): https://codereview.chromium.org/14924002/diff/37001/chrome/browser/ui/browser_ui_prefs.cc#newcode223 chrome/browser/ui/browser_ui_prefs.cc:223: user_prefs::PrefRegistrySyncable::SYNCABLE_PREF); On 2013/05/21 15:08:29, sky wrote: > I haven't ...
2 years ago (2013-05-21 16:29:31 UTC) #12
sky
Ah, ok. That makes sense. LGTM On Tue, May 21, 2013 at 9:29 AM, <battre@chromium.org> ...
2 years ago (2013-05-21 17:32:28 UTC) #13
vasilii (OOO til 26.05)
lgtm
2 years ago (2013-05-23 08:46:58 UTC) #14
battre
James, could you please have another look? Thanks. Dominic
2 years ago (2013-05-23 08:51:13 UTC) #15
James Hawkins
LGTM with comments. https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html File chrome/browser/resources/options/browser_options.html (right): https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html#newcode731 chrome/browser/resources/options/browser_options.html:731: <button id="reset-profile-settings-button" On 2013/05/21 09:25:08, battre ...
2 years ago (2013-05-23 18:26:02 UTC) #16
Dan Beam
https://chromiumcodereview.appspot.com/14924002/diff/37001/chrome/browser/resources/options/reset_profile_settings_overlay.js File chrome/browser/resources/options/reset_profile_settings_overlay.js (right): https://chromiumcodereview.appspot.com/14924002/diff/37001/chrome/browser/resources/options/reset_profile_settings_overlay.js#newcode44 chrome/browser/resources/options/reset_profile_settings_overlay.js:44: for (var i = 0; i < checkboxes.length; i++) ...
2 years ago (2013-05-23 19:46:42 UTC) #17
James Hawkins
https://chromiumcodereview.appspot.com/14924002/diff/37001/chrome/browser/resources/options/reset_profile_settings_overlay.js File chrome/browser/resources/options/reset_profile_settings_overlay.js (right): https://chromiumcodereview.appspot.com/14924002/diff/37001/chrome/browser/resources/options/reset_profile_settings_overlay.js#newcode44 chrome/browser/resources/options/reset_profile_settings_overlay.js:44: for (var i = 0; i < checkboxes.length; i++) ...
2 years ago (2013-05-23 20:06:42 UTC) #18
Dan Beam
https://chromiumcodereview.appspot.com/14924002/diff/37001/chrome/browser/resources/options/reset_profile_settings_overlay.js File chrome/browser/resources/options/reset_profile_settings_overlay.js (right): https://chromiumcodereview.appspot.com/14924002/diff/37001/chrome/browser/resources/options/reset_profile_settings_overlay.js#newcode44 chrome/browser/resources/options/reset_profile_settings_overlay.js:44: for (var i = 0; i < checkboxes.length; i++) ...
2 years ago (2013-05-23 21:37:33 UTC) #19
battre
https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html File chrome/browser/resources/options/browser_options.html (right): https://codereview.chromium.org/14924002/diff/20025/chrome/browser/resources/options/browser_options.html#newcode731 chrome/browser/resources/options/browser_options.html:731: <button id="reset-profile-settings-button" On 2013/05/23 18:26:02, James Hawkins wrote: > ...
2 years ago (2013-05-24 09:15:46 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/battre@chromium.org/14924002/60001
2 years ago (2013-05-24 09:16:14 UTC) #21
commit-bot: I haz the power
Change committed as 202064
2 years ago (2013-05-24 11:59:39 UTC) #22
Dan Beam
https://codereview.chromium.org/14924002/diff/37001/chrome/browser/ui/webui/options/reset_profile_settings_handler.cc File chrome/browser/ui/webui/options/reset_profile_settings_handler.cc (right): https://codereview.chromium.org/14924002/diff/37001/chrome/browser/ui/webui/options/reset_profile_settings_handler.cc#newcode92 chrome/browser/ui/webui/options/reset_profile_settings_handler.cc:92: const ListValue* /*value*/) { On 2013/05/24 09:15:46, battre wrote: ...
2 years ago (2013-05-24 19:13:03 UTC) #23
Dan Beam
2 years ago (2013-05-24 19:13:15 UTC) #24
Message was sent while issue was closed.
lgtm
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be